Get Orders
curl --request GET \
--url https://api-options.sandbox.rails.xyz/account/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-options.sandbox.rails.xyz/account/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-options.sandbox.rails.xyz/account/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"orderId": "01J9G4K19776J1CTA8YXA8AA5H",
"market": "BTC-3JUL26-62000-C",
"side": "buy",
"type": "C",
"status": "filled",
"price": "120.00",
"quantity": "2",
"filledQuantity": "2",
"leverage": "1",
"createdAt": 1751284800000,
"updatedAt": 1751284803120
},
{
"orderId": "01J9G51ABC7QK2DTB9ZYC9BB6J",
"market": "BTC-3JUL26-60000-P",
"side": "sell",
"type": "P",
"status": "cancelled",
"price": "15.00",
"quantity": "3",
"filledQuantity": "0",
"leverage": "1",
"createdAt": 1751288400000,
"updatedAt": 1751288460500
}
]
}User Account
Get Orders
Retrieve your recent orders.
GET
/
account
/
orders
Get Orders
⌘I